/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE 					*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* FenAppliA
* @author Arnaud FARINE
* @version 4.3
*/

import waba.ui.*;
import waba.fx.Font;
import waba.fx.Color;
import waba.ui.Timer;
import waba.sys.Vm;
import waba.sys.Settings;
/**
* Container d'ajout d'informations
*/
public class FenAppliA extends ContMere {
	Label titre;
	Label lLogin;
	Label lPwd;
	Label lSite;
	Label lInfo;
	Label confirm;
	Edit edLogin;
	Edit edPwd;
	Edit edSite;
	Edit edInfo;
	Button btnAdd;
	Button btnCanc;
	Timer afftps;
	
	
	/**
	* Le constructeur
	*/
	public FenAppliA(){
		setBackColor(super.fonds);
		setForeColor(super.texteGen);
		setRect(0,12*ContMere.MULTIY,Settings.screenWidth,Settings.screenHeight-12*ContMere.MULTIY);
		
		confirm = new Label("",Label.CENTER);
		add(confirm);
		confirm.setRect(LEFT,TOP,Settings.screenWidth,PREFERRED);
		
		titre = new Label("AJOUT",Label.CENTER);
		add(titre);
		titre.setRect(LEFT,AFTER+2,Settings.screenWidth,PREFERRED);
		titre.setFont(new Font("Arial",10,Font.BOLD));
		
		lSite = new Label("Site/Logiciel :", Label.RIGHT);
		add(lSite);
		lSite.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edSite = new Edit();
		add(edSite);
		edSite.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		lLogin = new Label("Identifiant : ",Label.RIGHT);
		add(lLogin);
		lLogin.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edLogin = new Edit();
		add(edLogin);
		edLogin.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		lPwd = new Label("Mot de passe : ", Label.RIGHT);
		add(lPwd);
		lPwd.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edPwd = new Edit();
		add(edPwd);
		edPwd.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		lInfo = new Label("Remarques : ", Label.LEFT);
		add(lInfo);
		lInfo.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edInfo = new Edit();
		add(edInfo);
		edInfo.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
				
		
		
		btnAdd = new Button("Ajouter");
		add(btnAdd);
		btnAdd.setRect(25*ContMere.MULTIX,BOTTOM-25*ContMere.MULTIY,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		btnCanc = new Button("Annuler");
		add(btnCanc);
		btnCanc.setRect(AFTER+5*ContMere.MULTIX,SAME,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
			
	}
	
	/**
	* Gre les vnements survenant sur le container
	* @param e L'vnement capt par le container
	*/
	public void onEvent(Event e){
        switch (e.type){
            case ControlEvent.PRESSED:
            if (e.target == btnAdd){
            	String unSite = edSite.getText();
            	if ((unSite.trim()).length()>0){
            		dao = new AccesDaoPDB();
            		EnregIdPwd enreg = new EnregIdPwd();
            		enreg.setSite(unSite);
            		enreg.setLog(edLogin.getText());
            		enreg.setPwd(edPwd.getText());
            		enreg.setInfoSupp(edInfo.getText());
            		if (dao.saveEnreg(enreg)==0){
            			confirm.setText("Ajout effectu");
            			afftps = confirm.addTimer(2000);
            		}
            		else {
            			afftps = confirm.addTimer(2000);
    		     		confirm.setText("Erreur-Suppression annule");
    		    	}
            		dao.dbClose();
            		dao=null;
            	}
            	else {
            		MessageBox mb = new MessageBox ("Erreur","Indiquez un site");
            		JPassManage m = (JPassManage)parentWindow;
            		m.getMainWindow();
            		mb.setBackColor(fondsMsg);
            		mb.setForeColor(texteMsg);
            		m.popupModal(mb);
            	}
            	edSite.setText("");
            	edLogin.setText("");
            	edPwd.setText("");
            	edInfo.setText("");
            }
            if (e.target == btnCanc){
            	JPassManage m = (JPassManage)parentWindow;
            	m.getMainWindow();
            	m.DessineFenetre("FenAppliC");
            }
            case ControlEvent.TIMER:
            if (afftps!=null){
            	if (afftps.triggered) {
            		confirm.setText("");
            		confirm.removeTimer(afftps);
            		this.repaint();
            	}
            }
		}
	}
}
